{
  "schema_version": "1.4.0",
  "id": "GHSA-gp2j-hgg9-c57v",
  "modified": "2025-04-12T12:57:48Z",
  "published": "2022-05-13T01:54:05Z",
  "aliases": [
    "CVE-2016-1645"
  ],
  "details": "Multiple integer signedness errors in the opj_j2k_update_image_data function in j2k.c in OpenJPEG, as used in PDFium in Google Chrome before 49.0.2623.87, allow remote attackers to cause a denial of service (incorrect cast and out-of-bounds write) or possibly have unspecified other impact via crafted JPEG 2000 data.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2016-1645"
    },
    {
      "type": "WEB",
      "url": "https://code.google.com/p/chromium/issues/detail?id=587227"
    },
    {
      "type": "WEB",
      "url": "https://pdfium.googlesource.com/pdfium/+/c145aeb2bf13ac408fc3e8233acca43d4251bbdc"
    },
    {
      "type": "WEB",
      "url": "http://googlechromereleases.blogspot.com/2016/03/stable-channel-update_8.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2016-03/msg00066.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2016-03/msg00067.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2016-03/msg00073.html"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2016/dsa-3513"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/84224"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id/1035259"
    },
    {
      "type": "WEB",
      "url": "http://www.zerodayinitiative.com/advisories/ZDI-16-197"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-119"
    ],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2016-03-13T22:59:00Z"
  }
}